Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87383 - Internal compiler error in bundling, at config/ia64/ia64.c:6448
Summary: Internal compiler error in bundling, at config/ia64/ia64.c:6448
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc
Version: 1.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vladimir Makarov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 15:46 UTC by Tim Waugh
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-05 22:14:21 UTC


Attachments (Terms of Use)
conf.c (deleted)
2003-03-26 15:48 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2003-03-26 15:46:38 UTC
Description of problem:
ICE while compiling cups-1.1.18-1 on ia64.

Version-Release number of selected component (if applicable):
gcc-3.2.2-10

How reproducible:
100%

Steps to Reproduce:
1. Save attached file as conf.c
2. gcc -O2 -c conf.c
    
Actual results:
conf.c: In function `get_address':
conf.c:1929: Internal compiler error in bundling, at config/ia64/ia64.c:6448
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Comment 1 Tim Waugh 2003-03-26 15:48:14 UTC
Created attachment 90724 [details]
conf.c

Preprocessed source file.

Comment 2 Jakub Jelinek 2003-04-03 09:35:27 UTC
I believe this is the same as distilled testcase from glibc:

/* { dg-do compile { target ia64-*-* } } */
/* { dg-options "-O2" } */

int
foo (int x, int y)
{
  if (y == 0)
    {
      register long r8 asm ("r8");
      register long r15 asm ("r15") = 1;
      long retval;
      __asm __volatile ("" : "=r" (r8), "=r" (r15) : "1" (r15));
      retval = r8;
      y = retval;
    }

  {
    register long r8 asm ("r8");
    register long r15 asm ("r15") = 2;
    long retval;
    register long _out1 asm ("out1") = x;
    register long _out0 asm ("out0") = y;
    __asm __volatile (""
                      : "=r" (r8), "=r" (r15) , "=r" (_out0), "=r" (_out1)
                      : "1" (r15) , "2" (_out0), "3" (_out1));
    retval = r8;
    return retval;
  }
}

Comment 3 Vladimir Makarov 2004-04-05 22:14:21 UTC
  Sorry, I should have closed the bug.  It was fixed long ago and the
patch was been committed into gcc-3_2-rhl8_branch and into gcc public
repository.  I've checked gcc-3.2.3-31 (RHEL 3 Update 1) and
gcc-3_2-rhl8-branch, the bug is really gone.



Note You need to log in before you can comment on or make changes to this bug.